#!/sbin/itype

service mdadm {
	need = initial;
	use = mountuserfs;
	script start = {
		. /oldroot/lib/lacie/libraid
		RAID_LEVEL="`getRaidType /dev/md${MD_USER}`"
		if [ x"$RAID_LEVEL" = x"linear" ] || [ x"$RAID_LEVEL" = x"raid0" ]; then
                    exit 0
                fi
                # Start the mdadm monitor
                mdadm --monitor --daemonise --pid-file=/var/run/mdmonitor.pid \
                      --delay=10 \
                      --program=/sbin/raid_notify.py \
                      /dev/md${MD_USER}
                exit $?
	}
	script stop = {
		if [ -f /var/run/mdmonitor.pid ] ; then
			kill "`cat /var/run/mdmonitor.pid`"
			[ -f /var/run/mdmonitor.pid ] && rm -rf /var/run/mdmonitor.pid
			exit $?
		fi
		exit 0
	}
}
