#!/sbin/itype
# This is a i file, used by initng parsed by install_service

service modules/depmod {
	need = initial;
	script start = {
		# Should not fail if kernel do not have module
		# support compiled in ...
		[ -f /proc/modules ] || exit 0

		# Here we should fail, as a modular kernel do need
		# depmod command ...
		if [ ! -e /lib/modules/`/bin/uname -r`/modules.dep ]
		then
			echo "modules.dep not found. Exiting"
			exit 0
		else
			echo "Found modules.dep ..."
		fi

		if [ ! -f /etc/sysconfig/modules ]
		then
			echo "Missing modules file /etc/sysconfig/modules"
			exit 0
		else
			echo "Module dependencies up to date ..."
		fi
		wait
		exit 0
	};
}

service modules/* {
	need = initial;
	use = modules/depmod;
	stdall = /dev/null;
	script start = {
		/sbin/modprobe ${NAME} || true
	};
	script stop = {
		/sbin/modprobe -r ${NAME} || true
	};
}

service modules {
	need = initial;
	use = modules/depmod;
	script start = {
		if /usr/bin/egrep -qv '^(#|$)' /etc/sysconfig/modules 2>/dev/null; then
                        while read module args ; do
                               	# Ignore comments and blank lines.
                               	case "$module" in
                                     ""|\#*) continue ;;
                               	esac
                        	# Attempt to load the module, making
                                # sure to pass any arguments provided.
                                /sbin/modprobe $module $args
       				# Print the module name if successful,
                                # otherwise take note.                 	                                                                                
                                if [ $? -ne 0 ]; then
	                                failedmod="$failedmod $module"
	                        fi
	                done < /etc/sysconfig/modules
	                                                                                                                                                
			# Print a failure message with a list of any
                        # modules that may have failed to load.
                        if [ "$failedmod" ]; then
                        	echo "Failed to load modules:$failedmod"
                        fi
		fi                                                                                                                                                                                
                                                                                                                                                                                                        
	};
}
