#!/sbin/itype
# This is a i file, used by initng parsed by install_service

service mountfs {
	need = initial udev modules;
	critical;
	script start = {
		/usr/bin/awk 'NF && $1!~/^#/ && $2!="/" && $3~/reiserfs|reiser4|ext2|ext3|xfs|jfs|vfat|ntfs|tmpfs|subfs|bind/ && $4!~/(^|,)noauto(,|$)/ {print $2}' /etc/fstab | /usr/bin/sort | while read mp
		do
			if [ x"${mp}" != x"/home" ]; then
				/bin/mount "${mp}" || echo "WARNING, failed to mount ${mp}"
			fi
		done
		exit 0
	};
	script stop = {
		echo "Sending all processes the TERM signal ..."
		/sbin/killalli5 -15
		sleep 3
		echo "Sending all processes the KILL signal ..."
		/sbin/killalli5 -9
		sleep 1

		/usr/bin/awk 'NF && $1!~/^#/ && $2!~/^\/\(|proc|sys|dev|\)$/ {print $2}' /etc/mtab | grep -v oldroot | /usr/bin/sort -r | uniq | while read mp
		do
			if [ "${mp}" != "/" -a "${mp}" != "/home" ]; then
				/bin/umount "${mp}" || echo "WARNING, failed to umount ${mp}"
			fi
		done
		exit 0
	};
}
