#!/sbin/itype
# This is a i file, used by initng parsed by install_service

service mountuserfs {
	need = initial udev modules mountfs;
	critical;
	script start = {
		/usr/bin/awk 'NF && $1!~/^#/ && $2!="/" && $3~/nfs|reiserfs|reiser4|ext2|ext3|xfs|jfs|vfat|ntfs|tmpfs|subfs|bind/ && $4!~/(^|,)noauto(,|$)/ {print $2}' /etc/fstab | /usr/bin/sort | while read mp
		do
			/bin/mount "${mp}" || echo "WARNING, failed to mount ${mp}"
		done
		exit 0
	};
	script stop = {
		/usr/bin/awk 'NF && $1!~/^#/ && $2!~/^\/\(|proc|sys|dev|\)$/ {print $2}' /etc/mtab | grep -v oldroot | /usr/bin/sort -r | uniq | while read mp
		do
			if [ "${mp}" != "/" ] && [ "${mp}" != "/var" ] && [ "${mp}" != "/tmp" ]; then
				/bin/umount "${mp}" || echo "WARNING, failed to umount ${mp}"
			fi
		done
		exit 0
	};
}
