#!/sbin/itype
# This is a i file, used by initng parsed by install_service
 
service reload/* {
	need = initial ;
	stdall = /dev/null;
	script start = {
		if [ ! -z "${NAME}" ]; then
			service="${NAME}"
			echo "Reloading Service $service"
			process_list=""
			case $service in
				"samba")
					process_list="smbd nmbd winbindd"
					signal="-HUP"
					;;
				"proftpd")
					process_list="proftpd"
					signal="-HUP"
					;;
				"netatalk")
					process_list="afpd"
					signal="-HUP"
					;;
				"hostname")
					process_list="nmbd"
					signal="-TERM"
					;;
				"avahi")
					avahi-daemon -c && avahi-daemon -r
					;;
				"mt-daapd")
					process_list="mt-daapd"
					signal="-HUP"
					;;
			esac

			if [ ! -z $"process_list" ]; then
				for process in $process_list; do
					pid_file="/var/run/$process.pid"
					if [ -f $pid_file ]; then
						PID="`cat $pid_file`"
						if [ ! -z "$PID" ]; then
							kill $signal $PID
						fi 	
					fi
				done
			fi
		fi
		exit 0
	};
}

